120,
123,
124,
127,
127,
127,
129,
125,
125,
123,
126,
129,
130,
130,
124,
125,
125,
130,
133,
131,
135,
126,
126,
126,
132,
138,
134,
136,
127,
129,
129,
131,
134,
136,
135,
130,
127,
127,
125,
124,
125,
122,
128,
129,
128,
125,
122,
123,
121,
134,
132,
131,
127,
123,
126,
122,
135,
134,
137,
132,
125,
126,
125,
135,
132,
133,
131,
127,
127,
122,
125,
126,
126,
130,
136,
135,
137,
122,
124,
124,
131,
137,
137,
140,
119,
121,
123,
129,
134,
134,
135,
117,
121,
119,
123,
129,
130,
132,
120,
121,
121,
125,
129,
128,
130,
136,
135,
133,
130,
125,
124,
124,
135,
133,
136,
131,
123,
122,
120,
135,
133,
133,
127,
122,
120,
119,
134,
130,
129,
123,
120,
122,
119,
129,
129,
129,
124,
122,
121,
123,
123,
124,
123,
123,
124,
126,
128,
124,
122,
121,
123,
127,
126,
129,
123,
122,
123,
126,
132,
130,
130,
124,
125,
124,
130,
133,
132,
132,
122,
125,
126,
130,
129,
132,
132,
127,
127,
125,
124,
123,
123,
121,
129,
129,
127,
124,
121,
123,
124,
133,
131,
131,
127,
124,
123,
125,
133,
130,
132,
130,
124,
125,
123,
132,
131,
131,
128,
129,
125,
126,
128,
128,
129,
133,
134,
133,
134,
126,
126,
128,
132,
135,
134,
131,
125,
125,
125,
128,
131,
133,
131,
122,
124,
124,
127,
130,
130,
132,
123,
124,
124,
126,
128,
130,
130,
134,
132,
133,
132,
130,
129,
127,
133,
134,
135,
132,
129,
128,
128,
131,
133,
133,
130,
125,
124,
124,
132,
130,
130,
125,
123,
123,
124,
133,
130,
129,
127,
126,
125,
123,
122,
123,
123,
124,
126,
126,
129,
122,
121,
121,
124,
127,
127,
129,
121,
122,
123,
126,
129,
130,
129,
122,
123,
125,
127,
130,
128,
130,
121,
122,
125,
127,
131,
129,
132,
128,
127,
127,
124,
123,
126,
123,
129,
130,
128,
123,
123,
122,
122,
131,
131,
131,
128,
123,
123,
124,
131,
132,
131,
130,
126,
124,
124,
133,
131,
127,
129,
126,
125,
123,
127,
127,
128,
130,
131,
132,
132,
126,
127,
128,
131,
133,
134,
132,
125,
124,
125,
128,
132,
134,
133,
123,
124,
123,
126,
130,
133,
133,
123,
126,
127,
127,
128,
131,
132,
134,
134,
134,
133,
130,
128,
127,
134,
132,
136,
132,
129,
127,
128,
135,
134,
134,
129,
127,
125,
125,
134,
132,
132,
127,
125,
126,
124,
134,
132,
131,
128,
126,
125,
124,
128,
128,
128,
129,
128,
131,
128,
129,
130,
131,
130,
130,
130,
129,
129,
128,
130,
129,
129,
130,
131,
128,
129,
129,
128,
128,
130,
133,
125,
128,
127,
128,
129,
130,
129,
132,
126,
129,
129,
128,
127,
129,
130,
130,
129,
130,
131,
127,
129,
129,
130,
130,
130,
128,
127,
127,
131,
133,
130,
127,
128,
127,
127,
132,
132,
131,
129,
126,
128,
127,
123,
127,
127,
127,
128,
129,
132,
124,
124,
126,
126,
126,
130,
129,
127,
127,
125,
127,
127,
129,
132,
126,
125,
128,
129,
127,
129,
127,
129,
127,
126,
128,
128,
126,
128,
129,
130,
128,
127,
127,
125,
124,
128,
127,
126,
125,
126,
125,
125,
126,
126,
126,
126,
127,
126,
122,
126,
125,
124,
128,
128,
126,
125,
126,
124,
127,
126,
128,
128,
129